Bug 249633 - setup-ds.pl should create default org entries
Summary: setup-ds.pl should create default org entries
Status: CLOSED CURRENTRELEASE
Alias: None
Product: 389
Classification: Retired
Component: Install/Uninstall   
(Show other bugs)
Version: 1.1.0beta
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Rich Megginson
QA Contact: Viktor Ashirov
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 240316 FDS1.1.0
TreeView+ depends on / blocked
 
Reported: 2007-07-25 21:55 UTC by Rich Megginson
Modified: 2015-12-07 16:44 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 16:44:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Rich Megginson 2007-07-25 21:55:01 UTC
When running setup-ds.pl in interactive mode (i.e. not -s), and no default value
has been set on the command line (slapd.AddOrgEntries), or in a .inf file (-f
file.inf), the default behavior should be to add the suggested org entries
(ou=People, ou=Groups, etc.) to the suffix created at setup time.

Comment 1 Rich Megginson 2007-07-25 22:06:03 UTC
Just make the default to be to add those entries.

Checking in DSDialogs.pm;
/cvs/dirsec/ldapserver/ldap/admin/src/scripts/DSDialogs.pm,v  <--  DSDialogs.pm
new revision: 1.4; previous revision: 1.3
done


Comment 2 Anh Nguyen 2007-12-11 21:49:08 UTC
Verified.

Set up using setup-ds.pl
db2ldif -n userRoot -a /tmp/userRoot.ldif

[root@babylon1 db]# grep ou=People /tmp/userRoot.ldif
grep ou=People /tmp/userRoot.ldif
dn: ou=People, dc=dsqa, dc=sjc2, dc=redhat, dc=com    # Expected

[root@babylon1 db]# grep ou=Group /tmp/userRoot.ldif
dn: ou=Groups, dc=dsqa, dc=sjc2, dc=redhat, dc=com    # Expected



Note You need to log in before you can comment on or make changes to this bug.